Update a unit cost

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

PUT https://api.ap1.datadoghq.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.ap2.datadoghq.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.datadoghq.eu/api/v2/cost/unit_costs/{unit_cost_id}https://api.ddog-gov.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.us2.ddog-gov.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.uk1.datadoghq.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.datadoghq.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.us3.datadoghq.com/api/v2/cost/unit_costs/{unit_cost_id}https://api.us5.datadoghq.com/api/v2/cost/unit_costs/{unit_cost_id}

Overview

Replace an ROI metric (unit cost) with a new set of attributes. This endpoint requires the cloud_cost_management_read permission.

Arguments

Path Parameters

Name

Type

Description

unit_cost_id [required]

string

The UUID of the unit cost.

Request

Body Data (required)

Expand All

Field

Type

Description

data [required]

object

The data object of a unit cost replace request.

attributes [required]

object

The attributes of a unit cost create or replace request.

denominator_query [required]

object

A timeseries object containing queries and formulas arrays.

formulas [required]

[object]

The list of formulas applied to the queries for this side of the ratio.

queries [required]

[object]

The list of queries evaluated for this side of the ratio.

description

string

An optional description of the unit cost. At most 2000 characters.

name [required]

string

The name of the unit cost. At most 200 characters.

numerator_query [required]

object

A timeseries object containing queries and formulas arrays.

formulas [required]

[object]

The list of formulas applied to the queries for this side of the ratio.

queries [required]

[object]

The list of queries evaluated for this side of the ratio.

unit_label [required]

string

The label describing the denominator unit, for example user. At most 100 characters.

id [required]

uuid

The UUID of the unit cost being replaced. Must match the unit_cost_id path parameter.

type [required]

enum

The JSON:API resource type for a unit cost. Allowed enum values: unit_cost

default: unit_cost

{
  "data": {
    "attributes": {
      "denominator_query": {
        "formulas": [
          []
        ],
        "queries": [
          []
        ]
      },
      "description": "Amortized cloud spend divided by the number of active users.",
      "name": "Cloud cost per active user",
      "numerator_query": {
        "formulas": [
          []
        ],
        "queries": [
          []
        ]
      },
      "unit_label": "user"
    },
    "id": "64aecd58-e355-4f07-9c3a-56ff6bda6cd8",
    "type": "unit_cost"
  }
}

Response

OK

A response containing a single unit cost.

Expand All

Field

Type

Description

data [required]

object

The data object of a unit cost response.

attributes [required]

object

The attributes of a unit cost.

created_at [required]

date-time

The time the unit cost was created.

created_by [required]

uuid

The UUID of the user who created the unit cost.

denominator_query [required]

object

A timeseries object containing queries and formulas arrays.

formulas [required]

[object]

The list of formulas applied to the queries for this side of the ratio.

queries [required]

[object]

The list of queries evaluated for this side of the ratio.

denominator_type [required]

string

The data source of the denominator queries, or multisource when the denominator queries span more than one data source.

description

string

The description of the unit cost. Omitted when the unit cost has no description.

name [required]

string

The name of the unit cost.

numerator_query [required]

object

A timeseries object containing queries and formulas arrays.

formulas [required]

[object]

The list of formulas applied to the queries for this side of the ratio.

queries [required]

[object]

The list of queries evaluated for this side of the ratio.

org_id [required]

int64

The ID of the organization the unit cost belongs to.

unit_label [required]

string

The label describing the denominator unit.

updated_at [required]

date-time

The time the unit cost was last updated.

updated_by [required]

uuid

The UUID of the user who last updated the unit cost.

id [required]

uuid

The UUID of the unit cost.

type [required]

enum

The JSON:API resource type for a unit cost. Allowed enum values: unit_cost

default: unit_cost

{
  "data": {
    "attributes": {
      "created_at": "2026-09-01T18:46:15.933716Z",
      "created_by": "36ea1610-8866-4bd3-bb6d-9bb9fc87cad2",
      "denominator_query": {
        "formulas": [
          []
        ],
        "queries": [
          []
        ]
      },
      "denominator_type": "metrics",
      "description": "Amortized cloud spend divided by the number of active users.",
      "name": "Cloud cost per active user",
      "numerator_query": {
        "formulas": [
          []
        ],
        "queries": [
          []
        ]
      },
      "org_id": 321813,
      "unit_label": "user",
      "updated_at": "2026-09-01T19:52:08.820536Z",
      "updated_by": "13cc0adf-2595-479e-b448-5051c180dddb"
    },
    "id": "64aecd58-e355-4f07-9c3a-56ff6bda6cd8",
    "type": "unit_cost"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  ## default
# 

# Path parameters
export unit_cost_id="64aecd58-e355-4f07-9c3a-56ff6bda6cd8"
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cost/unit_costs/${unit_cost_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "data": { "attributes": { "denominator_query": { "formulas": [ { "formula": "denominator" } ], "queries": [ { "data_source": "metrics", "name": "denominator", "query": "avg:system.cpu.user{*}" } ], "response_format": "timeseries" }, "name": "Cloud cost per active user", "numerator_query": { "formulas": [ { "formula": "numerator" } ], "queries": [ { "data_source": "cloud_cost", "name": "numerator", "query": "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)" } ], "response_format": "timeseries" }, "unit_label": "user" }, "id": "64aecd58-e355-4f07-9c3a-56ff6bda6cd8", "type": "unit_cost" } } EOF
"""
Update a unit cost returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.cloud_cost_management_api import CloudCostManagementApi
from datadog_api_client.v2.model.unit_cost_formula import UnitCostFormula
from datadog_api_client.v2.model.unit_cost_query import UnitCostQuery
from datadog_api_client.v2.model.unit_cost_query_definition import UnitCostQueryDefinition
from datadog_api_client.v2.model.unit_cost_request_attributes import UnitCostRequestAttributes
from datadog_api_client.v2.model.unit_cost_type import UnitCostType
from datadog_api_client.v2.model.unit_cost_update_request import UnitCostUpdateRequest
from datadog_api_client.v2.model.unit_cost_update_request_data import UnitCostUpdateRequestData
from uuid import UUID

body = UnitCostUpdateRequest(
    data=UnitCostUpdateRequestData(
        attributes=UnitCostRequestAttributes(
            denominator_query=UnitCostQueryDefinition(
                formulas=[
                    UnitCostFormula([("formula", "numerator")]),
                ],
                queries=[
                    UnitCostQuery(
                        [
                            ("data_source", "cloud_cost"),
                            ("name", "numerator"),
                            ("query", "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)"),
                        ]
                    ),
                ],
            ),
            description="Amortized cloud spend divided by the number of active users.",
            name="Cloud cost per active user",
            numerator_query=UnitCostQueryDefinition(
                formulas=[
                    UnitCostFormula([("formula", "numerator")]),
                ],
                queries=[
                    UnitCostQuery(
                        [
                            ("data_source", "cloud_cost"),
                            ("name", "numerator"),
                            ("query", "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)"),
                        ]
                    ),
                ],
            ),
            unit_label="user",
        ),
        id=UUID("64aecd58-e355-4f07-9c3a-56ff6bda6cd8"),
        type=UnitCostType.UNIT_COST,
    ),
)

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
configuration.unstable_operations["update_unit_cost"] = True
with ApiClient(configuration) as api_client:
    api_instance = CloudCostManagementApi(api_client)
    response = api_instance.update_unit_cost(unit_cost_id=UUID("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Update a unit cost returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
  config.unstable_operations["v2.update_unit_cost".to_sym] = true
end
api_instance = DatadogAPIClient::V2::CloudCostManagementAPI.new

body = DatadogAPIClient::V2::UnitCostUpdateRequest.new({
  data: DatadogAPIClient::V2::UnitCostUpdateRequestData.new({
    attributes: DatadogAPIClient::V2::UnitCostRequestAttributes.new({
      denominator_query: DatadogAPIClient::V2::UnitCostQueryDefinition.new({
        formulas: [
          DatadogAPIClient::V2::UnitCostFormula.new({}),
        ],
        queries: [
          DatadogAPIClient::V2::UnitCostQuery.new({}),
        ],
      }),
      description: "Amortized cloud spend divided by the number of active users.",
      name: "Cloud cost per active user",
      numerator_query: DatadogAPIClient::V2::UnitCostQueryDefinition.new({
        formulas: [
          DatadogAPIClient::V2::UnitCostFormula.new({}),
        ],
        queries: [
          DatadogAPIClient::V2::UnitCostQuery.new({}),
        ],
      }),
      unit_label: "user",
    }),
    id: "64aecd58-e355-4f07-9c3a-56ff6bda6cd8",
    type: DatadogAPIClient::V2::UnitCostType::UNIT_COST,
  }),
})
p api_instance.update_unit_cost("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Update a unit cost returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	body := datadogV2.UnitCostUpdateRequest{
		Data: datadogV2.UnitCostUpdateRequestData{
			Attributes: datadogV2.UnitCostRequestAttributes{
				DenominatorQuery: datadogV2.UnitCostQueryDefinition{
					Formulas: []map[string]interface{}{
						map[string]interface{}{
							"formula": "numerator",
						},
					},
					Queries: []map[string]interface{}{
						map[string]interface{}{
							"data_source": "cloud_cost",
							"name":        "numerator",
							"query":       "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)",
						},
					},
				},
				Description: *datadog.NewNullableString(datadog.PtrString("Amortized cloud spend divided by the number of active users.")),
				Name:        "Cloud cost per active user",
				NumeratorQuery: datadogV2.UnitCostQueryDefinition{
					Formulas: []map[string]interface{}{
						map[string]interface{}{
							"formula": "numerator",
						},
					},
					Queries: []map[string]interface{}{
						map[string]interface{}{
							"data_source": "cloud_cost",
							"name":        "numerator",
							"query":       "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)",
						},
					},
				},
				UnitLabel: "user",
			},
			Id:   uuid.MustParse("64aecd58-e355-4f07-9c3a-56ff6bda6cd8"),
			Type: datadogV2.UNITCOSTTYPE_UNIT_COST,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateUnitCost", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCloudCostManagementApi(apiClient)
	resp, r, err := api.UpdateUnitCost(ctx, uuid.MustParse("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"), body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CloudCostManagementApi.UpdateUnitCost`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CloudCostManagementApi.UpdateUnitCost`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Update a unit cost returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CloudCostManagementApi;
import com.datadog.api.client.v2.model.UnitCostQueryDefinition;
import com.datadog.api.client.v2.model.UnitCostRequestAttributes;
import com.datadog.api.client.v2.model.UnitCostResponse;
import com.datadog.api.client.v2.model.UnitCostType;
import com.datadog.api.client.v2.model.UnitCostUpdateRequest;
import com.datadog.api.client.v2.model.UnitCostUpdateRequestData;
import java.util.Collections;
import java.util.Map;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    defaultClient.setUnstableOperationEnabled("v2.updateUnitCost", true);
    CloudCostManagementApi apiInstance = new CloudCostManagementApi(defaultClient);

    UnitCostUpdateRequest body =
        new UnitCostUpdateRequest()
            .data(
                new UnitCostUpdateRequestData()
                    .attributes(
                        new UnitCostRequestAttributes()
                            .denominatorQuery(
                                new UnitCostQueryDefinition()
                                    .formulas(
                                        Collections.singletonList(
                                            Map.ofEntries(Map.entry("formula", "numerator"))))
                                    .queries(
                                        Collections.singletonList(
                                            Map.ofEntries(
                                                Map.entry("data_source", "cloud_cost"),
                                                Map.entry("name", "numerator"),
                                                Map.entry(
                                                    "query",
                                                    "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum,"
                                                        + " daily)")))))
                            .description(
                                "Amortized cloud spend divided by the number of active users.")
                            .name("Cloud cost per active user")
                            .numeratorQuery(
                                new UnitCostQueryDefinition()
                                    .formulas(
                                        Collections.singletonList(
                                            Map.ofEntries(Map.entry("formula", "numerator"))))
                                    .queries(
                                        Collections.singletonList(
                                            Map.ofEntries(
                                                Map.entry("data_source", "cloud_cost"),
                                                Map.entry("name", "numerator"),
                                                Map.entry(
                                                    "query",
                                                    "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum,"
                                                        + " daily)")))))
                            .unitLabel("user"))
                    .id(UUID.fromString("64aecd58-e355-4f07-9c3a-56ff6bda6cd8"))
                    .type(UnitCostType.UNIT_COST));

    try {
      UnitCostResponse result =
          apiInstance.updateUnitCost(UUID.fromString("64aecd58-e355-4f07-9c3a-56ff6bda6cd8"), body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CloudCostManagementApi#updateUnitCost");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Update a unit cost returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_cloud_cost_management::CloudCostManagementAPI;
use datadog_api_client::datadogV2::model::UnitCostQueryDefinition;
use datadog_api_client::datadogV2::model::UnitCostRequestAttributes;
use datadog_api_client::datadogV2::model::UnitCostType;
use datadog_api_client::datadogV2::model::UnitCostUpdateRequest;
use datadog_api_client::datadogV2::model::UnitCostUpdateRequestData;
use serde_json::Value;
use std::collections::BTreeMap;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let body =
        UnitCostUpdateRequest::new(
            UnitCostUpdateRequestData::new(
                UnitCostRequestAttributes::new(
                    UnitCostQueryDefinition::new(
                        vec![BTreeMap::from([("formula".to_string(), Value::from("numerator"))])],
                        vec![
                            BTreeMap::from(
                                [
                                    ("data_source".to_string(), Value::from("cloud_cost")),
                                    ("name".to_string(), Value::from("numerator")),
                                    (
                                        "query".to_string(),
                                        Value::from(
                                            "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)",
                                        ),
                                    ),
                                ],
                            )
                        ],
                    ),
                    "Cloud cost per active user".to_string(),
                    UnitCostQueryDefinition::new(
                        vec![BTreeMap::from([("formula".to_string(), Value::from("numerator"))])],
                        vec![
                            BTreeMap::from(
                                [
                                    ("data_source".to_string(), Value::from("cloud_cost")),
                                    ("name".to_string(), Value::from("numerator")),
                                    (
                                        "query".to_string(),
                                        Value::from(
                                            "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)",
                                        ),
                                    ),
                                ],
                            )
                        ],
                    ),
                    "user".to_string(),
                ).description(Some("Amortized cloud spend divided by the number of active users.".to_string())),
                Uuid::parse_str("64aecd58-e355-4f07-9c3a-56ff6bda6cd8").expect("invalid UUID"),
                UnitCostType::UNIT_COST,
            ),
        );
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateUnitCost", true);
    let api = CloudCostManagementAPI::with_config(configuration);
    let resp = api
        .update_unit_cost(
            Uuid::parse_str("00000000-0000-0000-0000-000000000000").expect("invalid UUID"),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Update a unit cost returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
configuration.unstableOperations["v2.updateUnitCost"] = true;
const apiInstance = new v2.CloudCostManagementApi(configuration);

const params: v2.CloudCostManagementApiUpdateUnitCostRequest = {
  body: {
    data: {
      attributes: {
        denominatorQuery: {
          formulas: [
            {
              formula: "numerator",
            },
          ],
          queries: [
            {
              data_source: "cloud_cost",
              name: "numerator",
              query:
                "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)",
            },
          ],
        },
        description:
          "Amortized cloud spend divided by the number of active users.",
        name: "Cloud cost per active user",
        numeratorQuery: {
          formulas: [
            {
              formula: "numerator",
            },
          ],
          queries: [
            {
              data_source: "cloud_cost",
              name: "numerator",
              query:
                "sum:aws.cost.net.amortized.shared.resources.allocated{*}.rollup(sum, daily)",
            },
          ],
        },
        unitLabel: "user",
      },
      id: "64aecd58-e355-4f07-9c3a-56ff6bda6cd8",
      type: "unit_cost",
    },
  },
  unitCostId: "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
};

apiInstance
  .updateUnitCost(params)
  .then((data: v2.UnitCostResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"